List Event Reports
curl --request GET \
--url https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events \
--header 'token: <api-key>'import requests
url = "https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events"
headers = {"token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {token: '<api-key>'}};
fetch('https://api.smarterproctoring.com/v1/installs/{installSid}/exams/{examSid}/sessions/{sessionSid}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"first": "<string>",
"next": "<string>",
"prev": "<string>",
"last": "<string>",
"count": 123,
"offset": 123,
"results": [
{
"sid": "<string>",
"subject": "<string>",
"status": "<string>",
"createdDate": "<string>"
}
]
}Exam Session Event
List Event Reports
Returns a paginated list of session event reports for the specified exam session.
Supports filtering and sorting via query parameters.
GET
/
v1
/
installs
/
{installSid}
/
exams
/
{examSid}
/
sessions
/
{sessionSid}
/
events
List Event Reports
Authorizations
Path Parameters
Application install sid
Pattern:
^AI[a-f0-9]{32}$Exam Sid
Pattern:
^EX[a-f0-9]{32}$Session Sid
Pattern:
^ES[a-f0-9]{32}$Query Parameters
Offset for pagination
Required range:
x >= 0Number of items to return
Required range:
x >= 0Sort keys
Available options:
createdDate Sort order
Available options:
ASC, DESC Include draft event reports
Response
200 - application/json
Successful
Total number of results
URL for first page
URL for next page
URL for previous page
URL for last page
Number of results in this page
Current offset
Event report records
Show child attributes
Show child attributes
Was this page helpful?
